Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.utils
Class CalendarHelper

    java.lang.Object
      org.richfaces.utils.CalendarHelper

    public final class CalendarHelper

extends Object

Author:
  amarkhel

Constructor Summary
`protected` | `CalendarHelper()`

Method Summary
`static Date` | `convertCurrentDate(String currentDateString, javax.faces.context.FacesContext facesContext, AbstractCalendar calendar)`
`static Date` | `convertStringToDate(javax.faces.context.FacesContext facesContext, AbstractCalendar calendar, String date)`
`static Date` | `getAsDate(javax.faces.context.FacesContext facesContext, AbstractCalendar calendar, Object date)`
`static Locale` | `getAsLocale(javax.faces.context.FacesContext facesContext, AbstractCalendar calendar, Object locale)`
`static Locale` | `getAsLocale(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static Calendar` | `getCalendar(javax.faces.context.FacesContext facesContext, AbstractCalendar calendar)`
`static Date` | `getCurrentDateOrDefault(javax.faces.context.FacesContext facesContext, AbstractCalendar calendar)`
`static String` | `getDatePatternOrDefault(AbstractCalendar calendar)`
`static Date` | `getFormattedDefaultTime(AbstractCalendar calendar)`
`static TimeZone` | `getTimeZoneOrDefault(AbstractCalendar calendar)`
`static Locale` | `parseLocale(String localeStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarHelper

    protected CalendarHelper()

Method Detail

### getAsDate

    public static Date getAsDate(javax.faces.context.FacesContext facesContext,
                                 AbstractCalendar calendar,
                                 Object date)

### getFormattedDefaultTime

    public static Date getFormattedDefaultTime(AbstractCalendar calendar)

### getAsLocale

    public static Locale getAsLocale(javax.faces.context.FacesContext facesContext,
                                     javax.faces.component.UIComponent component)

### getAsLocale

    public static Locale getAsLocale(javax.faces.context.FacesContext facesContext,
                                     AbstractCalendar calendar,
                                     Object locale)

### parseLocale

    public static Locale parseLocale(String localeStr)

### convertCurrentDate

    public static Date convertCurrentDate(String currentDateString,
                                          javax.faces.context.FacesContext facesContext,
                                          AbstractCalendar calendar)

### getCalendar

    public static Calendar getCalendar(javax.faces.context.FacesContext facesContext,
                                       AbstractCalendar calendar)

### convertStringToDate

    public static Date convertStringToDate(javax.faces.context.FacesContext facesContext,
                                           AbstractCalendar calendar,
                                           String date)

### getCurrentDateOrDefault

    public static Date getCurrentDateOrDefault(javax.faces.context.FacesContext facesContext,
                                               AbstractCalendar calendar)

### getTimeZoneOrDefault

    public static TimeZone getTimeZoneOrDefault(AbstractCalendar calendar)

### getDatePatternOrDefault

    public static String getDatePatternOrDefault(AbstractCalendar calendar)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.